System Requirements for ClearCase 7.0.x.x

Preventive Service Planning


Abstract

This document serves to supplement the Installation and Upgrade Guide by summarizing the system requirements for IBM Rational ClearCase, ClearCase MultiSite, ClearCase LT version 7.0.x.x on Microsoft Windows, UNIX and Linux.

Content



System Requirements for ClearCase 7.1

Rational product lifecycle dates



See Change History for updates.


The Planning, Installing and Migrating section of the ClearCase 7.0 Information Center and the ClearCase 7.0.1 Information Center contains:
  • The Before you install section of the Information Center for both UNIX and Linux contains the details related to minimum hardware requirements (disk space, memory) supported file systems, operating system patches and compatibility references.

  • The Configuring your installation section Information Center for Windows contains the details related to minimum hardware requirements (disk space, memory), supported file systems, and compatibility references.



For newly released operating system versions : Upon release of a new version of a currently supported operating system, IBM Rational will evaluate adding ClearCase support for the new version after 90 days. Support will be extended to the latest supported release of ClearCase; older ClearCase releases will be evaluated on a case by case basis.

Refer to technote 1265307 for information about the latest available ClearCase releases.

For newly released operating system updates: When a new update to a supported operating system is released, IBM Rational will consider adding ClearCase support for this update after 90 days. Support for OS updates will generally be extended to all ClearCase supported releases that support the underlying OS.

These statements represent IBM Rational’s intended strategy for adding platform support. IBM Rational reserves the right to amend, make adjustments to, or otherwise change these plans at any time.


For any operating system version not currently listed in the tables, please refer to the IBM Rational RFE Community where you can search for existing support requests or submit a new request.



GLOSSARY:

Hardware: The Hardware on which ClearCase is supported.

Operating System: The operating system on which ClearCase is supported.

Revision: Operating System Patch or Service Release or selected Version with which ClearCase is supported.

RFE: Request for Enhancement. A change request focused on support for the platform or operating system.

FCC: Full ClearCase version.

CCRC: The ClearCase Remote Client is a stand-alone application built on Eclipse Rich Client Platform (RCP) Technology and includes its own installer and IBM JRE. Support for this platform as well as the CCRC plug-in for Eclipse can be found in technote 1224586.
VRMF: VRMF is the product release numbering format that is being implemented throughout the IBM and the Rational product lines. Review education document 7008656 for a explanation of the VRMF - Maintenance Delivery Vehicle (MDV) terminology used by Rational products.




Linux


IMPORTANT: Before installing or upgrading, first review the ClearCase Installation and Upgrade Guide for UNIX and Linux ( ClearCase 7.0.0 or ClearCase 7.0.1) for initial details about hardware and software requirements, layered software packages and more.

Note:
The 7.0 Installation Guide is the same guide for installing or upgrading to version 7.0.1.
Review the Support Policy for ClearCase on Linux for details about kernel usage.
ClearCase, ClearCase MultiSite, ClearCase LT, CCRC 7.0.x.x RCP
Hardware
Operating System
OS Requirements
Revision
Comments
Desktop
RHD 5.0 Requires 7.0.0.1_IFIX04 or 7.0.1.0_IFIX01 or later

Xen supported
REVIEW IMPORTANT ALERTS
ABOUT RED HAT 5 ON VOB HOSTS USING NAS
Refer to Technotes 1295636 and 1455441
Update 1 requires either
Version 7.0.1.1 iFix 1 or
Version 7.0.0.2 iFix 1 or later

Update 2 requires 7.0.0.3 or 7.0.1.2 or later

Update 3 requires 7.0.0.5 or
7.0.1.4 or later

Update 4 requires 7.0.0.8 or 7.0.1.7 or later

Update 5 requires 7.0.1.10 or later

Update 6 requires 7.0.1.12

Upda te 7 requires either
Version 7.0.0.4 or
Version 7.0.1.3 or later
Update 8 requires either
Version 7.0.0.7 or
Version 7.0.1.6 or later
Version 7.0.1on RHD 4 requires Update 4 or later
Update 9 requires 7.0.1.2 or later.
Requires 7.0.0.0_IFIX02 or later

SP2 support requires 7.0.0.3, 7.0.1.2 or later

SP3 support requires 7.0.1.8 or later
Initial - SP4
64-bit supported as of SP1

SP4 requires either
Version 7.0.0.4 or
Version 7.0.1.3
Server
RHEL 5.0 Requires 7.0.0.1_IFIX04 or 7.0.1.0_IFIX01 or later
Xen supported
REVIEW IMPORTANT ALERTS
ABOUT RED HAT 5 ON VOB HOSTS USING NAS
Refer to Technotes 1295636 and 1455441
Update 1 requires either
7.0.1.1 iFix 1 or
7.0.0.2 iFix 1 or later

Update 2 requires 7.0.0.3 or 7.0.1.2 or later

Update 3 requires 7.0.0.5 or
7.0.1.4 or later

31/32 bit zSeries no longer supported as of ClearCase 7.0.1 (only 64 bit supported)

Update 4 requires 7.0.0.8 or 7.0.1.7 or later

Update 5 requires 7.0.1.10 or later

Update 6 requires 7.0.1.12

Update 6 requires either
Version 7.0.1.1 iFix 1 or
Version 7.0.0.2 iFix 1 or later
Update 7 requires either
Version 7.0.0.4 or
Version 7.0.1.3 or later
Update 8 requires either
Version 7.0.0.7 or
Version 7.0.1.6 or later
Version 7.0.1on RHEL 4 requires Update 4 or later
zSeries and pSeries supports AS only

CCLT not supported on zSeries, pSeries or iSeries

31/32 bit zSeries no longer supported as of ClearCase 7.0.1 (only 64 bit supported)
zSeries and pSeries supports AS only

Note: Update 6 or later required for zSeries

Note:
Performance issue with RHEL3

CCLT not supported on zSeries, pSeries or iSeries

Update 9 requires 7.0.1.2 or later
Requires 7.0.0.0_IFIX02 or later

SP1 support on zSeries requires 7.0.0.1_IFIX03

CCLT not supported on zSeries, pSeries or iSeries

31/32 bit zSeries no longer supported as of ClearCase 7.0.1 (only 64 bit supported)

SP2 support requires 7.0.0.3, 7.0.1.2 or later

SP3 support requires 7.0.1.8 or later
CCLT not supported on zSeries, pSeries or iSeries

31/32 bit zSeries no longer supported as of ClearCase 7.0.1 (only 64 bit supported)

SP4 requires either
Version 7.0.0.4 or
Version 7.0.1.3
Initial
SP1
SP2
SP3

zSeries not supported with CCLT


UNIX


IMPORTANT:
Before installing or upgrading, review the ClearCase 7.0 Installation and Upgrade Guide for UNIX and Linux for details about hardware and software requirements, layered software packages and more.
Note: The 7.0 Installation Guide is the same guide for installing or upgrading to version 7.0.1.

ClearCase, ClearCase MultiSite, ClearCase LT, CCRC 7.0.x.x RCP
Hardware
Operating System
OS Requirements
Revision
Comments



6.1
6.1 requires APAR IZ07117 applied
and
7.0.1.1-RATL-RCC

Note: Review technote 1294455 for upgrade issue

TL1, TL2, TL3 and TL4 supported


AIX PowerHA Supported

LPAR is supported

5.3
Requires ML 1 (5300-01) or greater.

Review technote 1288079 for TL7/TL8 post-install issue

TL10 and later supported in version 7.0.0.1 or later



LPAR is supported

5.2
Requires ML 5 (5200-05) or greater
5.1
Requires ML 7 (5100-07) or greater
11.31 requires PHKL_37185 **
and
7.0.1.0-RATL-RCC-IFIX01
or
7.0.0.1-RATL-RCC-IFIX04

Note: CCRC supported in 7.0.1 only.
11.23
HP-UX 11.i v1
11.11





Itanium *
Itanium 2 (IA64)
11.31 requires PHKL_37185 **
and
7.0.1.0-RATL-RCC-IFIX01
or
7.0.0.1-RATL-RCC-IFIX04
Review restrictions

Non-Global Zone support requires 7.0.0.1_IFIX01 or later
Review NGZ TechNote 1258546

Support for Solaris 8 and 9 Branded Zones requires 7.0.0.8 or 7.0.1.7.
Review Technote 1366750.

ZFS - Zettabyte File System - requires version 7.0.0.2 or 7.0.1.1 or later

LDoms supported for Solaris 10
Solaris 8
Review restrictions

Non-Global Zone support requires 7.0.0.1_IFIX01 or later
Review NGZ TechNote 1258546

ZFS - Zettabyte File System - requires version 7.0.0.2 or 7.0.1.1 or later

x86 not supported with CCLT
RWP not supported on x86-32

** HP-UX 11.i v3 support requires a kernel patch from HP in order to run with VOBs or views local to the 11.31 host.

* HP-UX release identifiers and names

Release Identifier Release Name Supported Processor
B.11.11 HP-UX 11i v1 PA-RISC
B.11.20 HP-UX 11i v1.5 Intel Itanium
B.11.22 HP-UX 11i v1.6 Intel Itanium, Itanium2
B.11.23 HP-UX 11i v2 Intel Itanium, Itanium2, PA-RISC
B.11.31 HP-UX 11i v3 Intel Itanium, Itanium2, PA-RISC



Microsoft Windows


IMPORTANT: Before installing or upgrading, review the ClearCase 7.0 Installation and Upgrade Guide for Windows for details about hardware and software requirements, vendor integration requirements and more.

Note: The 7.0 Installation Guide is the same guide for installing or upgrading to version 7.0.1.

ClearCase, ClearCase MultiSite, ClearCase LT, CCRC 7.0.x.x RCP
Hardware
Operating System
OS Requirements
Revision
Comments


SP2

SP2 requires 7.0.0.7 or 7.0.1.6

Windows Vista

Business, Enterprise and Ultimate Editions


Initial
S P1
SP2
Initial and SP1 support requires 7.0.0.3 or 7.0.1.2 or later

SP2 requires 7.0.0.7 or 7.0.1.6

Review Installation requirements

Review Known Issues and Restrictions

64-bit Vista not supported with CCLT





Initial
SP1
SP2

Note on DataCenter Edition

Windows Server 2003 R2 is supported as of version 7.0.1

SP2 support requires 7.0.1.0-RATL-RCC-IFIX01 or 7.0.0.1-RATL-RCC-IFIX04 or later
SP1 also known as SP1a

SP3 support requires 7.0.0.3, 7.0.1.2 or later



SP4

Footnote 1: x86-64 includes AMD64 & EM64T (Xeon) and support for running in 32 bit mode on the related 64-bit versions of supported operating systems".
Footnote 2: CCRC RCP (client) is will run on 64 bit hosts only in 32 bit emulation mode.
Footnote 3: CCRC Server will run on 64 bit hosts only in 32 bit emulation mode.



Mainframe Connectors

ClearCase 7.0.x.x 1
Hardware
Operating System
Revision
Comments


z/OS
z/OSe
1.9
1.8
1.7
1.6
1.5
1.4
2.9
2.8

Footnote 1: Not supported with ClearCase LT (CCLT)

Footnote 2: s390 means a 32-bit OS and s390x means a 64-bit OS. The 32-bit OS can run on older s390 hardware or newer zSeries hardware, but the 64-bit OS can only run on the zSeries hardware.



Hosted Development Environments

ClearCase, ClearCase MultiSite, ClearCase LT 7.0.x.x
Product
Version
Comments
Windows 2000 and later
Review 1150000
Presentation Server 4
Presentation Server 3
MetaFrame XP

Review 1117437
ESX, Workstation
Review 1180182
2004, 2005, 2007
Review 1228619


Web Browsers

ClearCase and ClearCase LT 7.0.x.x
Web Bro wser
Version
Comments
1.5
2.0
2.0 requires version 7.0.1 or later
1.6
1.7
1.6 not supported on HP or Itanium
6.0
7.0
All 6.0 Service Packs supported

7.0 requires 7.0.0.1 (Fix Pack 1) or later
1.2.3
Mac OS X only
see footnote 3

Footnote 3: CCWeb requires Java 1.4.x (see technote 1181478 for specific details). Mac OS X comes with its own packaged Sun JVM. Apple's website states that it ships with Suns 1.4.2 JVM which is supported. </div class="BackTopLink"><p class="ibm-ind-link ibm-back-to-top"></a>
<a class="ibm-anchor-up-link" href="#ibm-content">Back to top</a>
</p></div>]

Web Servers

ClearCase, ClearCase LT, CCRC RWP Server 7.0.x.x
Web Server
Version
Comments




Rational Web Platform™




IBM HTTP Server Version 6.0.2 (Apache 2.0.47 base)
Requires Update 2 and patch PHSS_30414 with Itanium2
xlC.rte 6.0 runtime library required on AIX

Requires APAR IY49388 for FRCA use on AIX 5.2
Windows 2003 and XP Support IPv6

Note: Refer to the RWP Hardware and Software Requirements section of the IBM Rational ClearCase administrators guide for information about hardware and software requirements for RWP servers.



Supported Network Access and Storage Platforms


The versions referenced below reference the English version of the product; however, support for the localized (international) version should be inferred. For example, support for Maestro 9.0.0.5 is listed thus Rational ClearCase will also support Maestro 9.0.0.5j (Japanese version).

Note: Any listed release of a storage platform (NFS/SMB/NAS) will remain on the list so long as the product has not been End Of Life (EOL) by the manufacture.


Supported NFS Client Products

ClearCase 7.0.x.x
Product
Version
Comments
2008
Requires version 7.0.1 or later
2007
Requires version 7.0.1 or later
2006
Requires version 7.0.1 or later


10
Apply patch 17 - 10.0.0.17 (Update Pack 17) for NFS Maestro and ensure the albd account is registered "globally."
9.0.0.14
9.0.0.13
9.0.0.5
8.0.0.4
7.1.0.6
7.0.0.1
6.0
Requires version 7.0.1 or later
5.1
5.0



Supported SMB Server Products

ClearCase 7.0.x.x
Product
Version
Comments
7.2
Requires version 7.0.1 or later
7.1
7.0
6.x
Supported with ClearCase 7.0.1.5 and 7.1.0.2 or later
With RedHat Linux update 3.0.9-1.3E.3
Compiled with GNU libiconv

** As of Samba 3.x Active Directory support is available. Review white paper 7011199 for more details about the supported security authentications for use with SaMBa and Rational ClearCase.



Supported NAS Products

ClearCase 7.0.x.x
Vendor
Product
Version
Comments

IBM
UNIX and Linux only
7.2.x
7.1.x
7.1.x
6.0
Supported with version 7.0.1 or later
Requires version 6.0.36.4 or later
5.6
Supported with version 7.0.1 or later
Requires version 5.6.36.4 or later
5.5
Requires version 5.5.22.1 or later
5.4
Requires version 5.4.24.8 or later
5.3
Data ONTAP
8.0 7-mode
7.3.x
7.2.x
7.1.x
7.0.x
Data ONTAP 7.2 requires ClearCase 7.0.0.0 iFix02 or later
Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later

Data ONTAP
8.0 7-mode
7.3.x
7.2.x
Data ONTAP 7.2 requires ClearCase 7.0.0.0 iFix02 or later

Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later

Data ONTAP
8.0 7-mode
7.3.x
7.2.x
7.1.x
7.0.x
6.X
Data ONTAP 7.2 requires 7.0.0.0 iFix02 or later

Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later

Data ONTAP
8.0 7-mode
7.3.x
7.2.x
Data ONTAP 7.2 requires 7.0.0.0 iFix02 or later

Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later


Data ONTAP
7.3.x
7.2.x
7.1.x
7.0.x
6.X
Data ONTAP 7.2 requires 7.0.0.0 iFix02 or later

Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later

Data ONTAP
7.3.x
7.2.x
7.1.x
7.0.x
6.X
Data ONTAP 7.2 requires 7.0.0.0 iFix02 or later

Data ONTAP 7.3 support in ClearCase 7.0 requires ClearCase 7.0.0.8-RATL-RCC or later, and Data ONTAP version 7.3.1.1 or later

Data ONTAP 7.3 support in ClearCase 7.0.1 requires Data ONTAP version 7.3.1.1 or later

Sun
Sun Storage 7000

2009.04.10.0.0

1-1.2



Note: For further information about storage device support, refer to Technote 1134812 Storage device support for ClearCase


Supported 3rd Party Integrations


Notes:
a. If the 3rd party application is not listed below, Rational will not provide support for the integration.

b. If the application not listed below has an integration with ClearCase (SCC or other), you need to contact the 3rd party vendor for support.

c. Review technote 1126483 for more details about SCC compliance and Rational ClearCase.

ClearCase, ClearCase LT, CCRC 7.0.x.x RCP
Vendor
Product
Revision
Comments











Microsoft

Visual Studio 2008


Initial
Standard
Professional
Team

Visual Studio 2005

SP1
Initial
Standard
Professional
Team
Visual Studio .NET 2003
SP1
Initial
Standard
Professional
Team
Visual Studio .NET 2002
Visual Studio 6.0
SP6
Office 2010



Office 2007


Initial
Requires Version 7.0.1 or later

Integration with Word, PowerPoint and Excel only.

**** Review note below about Word (.docx) files

Office 2003
SP3
SP2
SP1
Initial
SP3 support added in 7.0.1

Integration with Word, PowerPoint and Excel only.


Office XP (2002)
SP3
SP2
SP1
Initial
Integration with Word, PowerPoint and Excel only.

Support for Office XP will be dropped as of version 7.1


Sybase


PowerBuilder
11
ClearCase Native Client support only (not CCRC)
10.5
ClearCase Native Client support only (not CCRC)
10
ClearCase Native Client support only (not CCRC)




Borland




JBuilder
2007
Not yet supported
RFE
RATLC01010121
2006
Not yet supported
RFE
RATLC01028425
2005
Not yet supported
RFE
RATLC01028425
10
9
* Visual Studio 2005 can be integrated with ClearCase 7.0 using the Add/Remove programs feature of Windows. Review technote 1259189 for more details.

** Currently there is an option to install the integration for Visual Studio .NET 2002 on ClearCase 7. This is not supported. Defect APAR PK47045 has been submitted to address this behavior.

*** Change request (RFE) RATLC00769332 was submitted to allow CCRC to integrate with Visual Studio .NET 2003. This request has been closed as a permanent restriction. This new functionality cannot be implemented as there are some components in use for the CCRC integration with VS.NET 2005 that are only available in 2005; hence, support cannot be provided for 2003.

**** The default file type for Word in Office 2007 (.docx), is not supported for use with the diff and merge capabilities of the "ms_word" type manager as it uses both XML and compression, and therefore is binary.

***** In order to integrate CCRC v7.0.1 with Visual Studio 2005 and 2008, you must install the CCRC Client for Visual Studio 2005.


Note: ClearCase supports only the Standard, Team, and Professional Editions of Visual Studio .NET. Do not attempt to integrate with Express or Beta Editions of Visual Studio .NET.



Change History (click to expand)

Related information

Download ClearCase 7.0
On-line ClearCase 7.0 documentation
Platform Support Discontinuance
About RAID levels and ClearCase
Getting started with the ClearCase Remote Client
About Java Runtime (JRE) and ClearCase
Support Policy for Citrix MetaFrame and ClearCase
Support Policy for Windows Terminal Services and ClearC
System Requirements for ClearCase 2003.06.00
Supported Web Browsers/Servers for ClearCase 2003.06.00
Supported Storage Platforms for ClearCase 2003.06.00
Download ClearCase 7.0.1
System Requirements for ClearCase 7.1
System Requirements for the ClearCase Remote Client

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational ClearCase
Documentation

Software version:

7.0, 7.0.0.1, 7.0.0.2, 7.0.0.3, 7.0.0.4, 7.0.0.5, 7.0.0.6, 7.0.0.7, 7.0.0.8, 7.0.0.9, 7.0.1, 7.0.1.1, 7.0.1.2, 7.0.1.3, 7.0.1.4, 7.0.1.5, 7.0.1.6, 7.0.1.7, 7.0.1.8, 7.0.1.9, 7.0.1.10, 7.0.1.11, 7.0.1.12

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

1239315

Modified date:

2011-06-23

Translate my page

Machine Translation

Content navigation